#!/bin/sh

# Display all boot settings in 'one-line' style
# for internal debug purpose.
#
# Written by Vincent Chen <vincentchen@wondermedia.com.tw>

for f in `find $1 -name "uboot_env_*" | sort`
do
  printf "\$cat $f\n\n"
  cat $f |tr '\n' '~'|sed 's/\\\~//g'|tr '~' '\n'|\
      sed 's/  //g'|sed '/^$/d'
  echo
done

